Package com.io7m.coffeepick.api

# Class CoffeePickCatalogEventRepositoryUpdate.Builder

java.lang.Object
com.io7m.coffeepick.api.CoffeePickCatalogEventRepositoryUpdate.Builder

Enclosing class:
  CoffeePickCatalogEventRepositoryUpdate

    public static final class CoffeePickCatalogEventRepositoryUpdate.Builder
    extends java.lang.Object

Builds instances of type `CoffeePickCatalogEventRepositoryUpdate`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CoffeePickCatalogEventRepositoryUpdate` | `build()` | Builds a new `CoffeePickCatalogEventRepositoryUpdate`.
  `CoffeePickCatalogEventRepositoryUpdate.Builder` | `from​(CoffeePickCatalogEventRepositoryUpdateType instance)` | Fill a builder with attribute values from the provided `CoffeePickCatalogEventRepositoryUpdateType` instance.
  `CoffeePickCatalogEventRepositoryUpdate.Builder` | `setEvent​(RuntimeRepositoryEventUpdateType event)` | Initializes the value for the `event` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final CoffeePickCatalogEventRepositoryUpdate.Builder from​(CoffeePickCatalogEventRepositoryUpdateType instance)
    Fill a builder with attribute values from the provided `CoffeePickCatalogEventRepositoryUpdateType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setEvent

    public final CoffeePickCatalogEventRepositoryUpdate.Builder setEvent​(RuntimeRepositoryEventUpdateType event)
    Initializes the value for the `event` attribute.
    Parameters:
      `event` - The value for event
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public CoffeePickCatalogEventRepositoryUpdate build()
    Builds a new `CoffeePickCatalogEventRepositoryUpdate`.
    Returns:
      An immutable instance of CoffeePickCatalogEventRepositoryUpdate
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing